Operations - List

A Microsoft.Search szolgáltató összes elérhető REST API-műveletét felsorolja.

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

URI-paraméterek

Név In Kötelező Típus Description
api-version
query True

string

Az egyes kérésekhez használandó API-verzió.

Válaszok

Név Típus Description
200 OK

OperationListResult

Sikeres. A válasz a műveletek listáját írja le.

Other Status Codes

CloudError

Az Operations API nem sikerült.

Biztonság

azure_auth

Microsoft Entra ID OAuth2 engedélyezési folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Név Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

OperationsList

Mintakérelem

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

Mintaválasz

{
  "value": [
    {
      "name": "Microsoft.Search/operations/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "List all available operations",
        "description": "Lists all of the available operations of the Microsoft.Search provider."
      }
    },
    {
      "name": "Microsoft.Search/register/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Register the Search Resource Provider",
        "description": "Registers the subscription for the search resource provider and enables the creation of search services."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Set Search Service",
        "description": "Creates or updates the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Search Service",
        "description": "Reads the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Delete Search Service",
        "description": "Deletes the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/start/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Start Search Service",
        "description": "Starts the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/stop/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Stop Search Service",
        "description": "Stops the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listAdminKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Admin Key",
        "description": "Reads the admin keys."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Regenerate Admin Key",
        "description": "Regenerates the admin key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listQueryKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Get Query Keys",
        "description": "Returns the list of query API keys for the given Azure Search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/createQueryKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Create Query Key",
        "description": "Creates the query key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Delete Query Key",
        "description": "Deletes the query key."
      }
    },
    {
      "name": "Microsoft.Search/checkNameAvailability/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Service Name Availability",
        "operation": "Check Service Name Availability",
        "description": "Checks availability of the service name."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Get Diagnostic Setting",
        "description": "Gets the diganostic setting read for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Set Diagnostic Setting",
        "description": "Creates or updates the diganostic setting for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/metricDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The metric definitions for the search service",
        "operation": "Read search service metric definitions",
        "description": "Gets the available metrics for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/logDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The log definition for the search service",
        "operation": "Read search service log definitions",
        "description": "Gets the available logs for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Validate Private Endpoint Connection Proxy",
        "description": "Validates a private endpoint connection create call from NRP side"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Create Private Endpoint Connection Proxy",
        "description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Get Private Endpoint Connection Proxy",
        "description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Delete Private Endpoint Connection Proxy",
        "description": "Deletes an existing private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Create Private Endpoint Connection",
        "description": "Creates a private endpoint connections with the specified parameters or updates the properties or tags for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Get Private Endpoint Connection",
        "description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Delete Private Endpoint Connection",
        "description": "Deletes an existing private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Create Shared Private Link Resource",
        "description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Shared Private Link Resource",
        "description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Delete Shared Private Link Resource",
        "description": "Deletes an existing shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Operation Status",
        "description": "Get the details of a long running shared private link resource operation"
      }
    }
  ]
}

Definíciók

Név Description
CloudError

Api-hibával kapcsolatos információkat tartalmaz.

CloudErrorBody

Egy adott API-hibát ír le egy hibakóddal és egy üzenettel.

Display

A műveletet leíró objektum.

Operation

A REST API-műveletet ismerteti.

OperationListResult

A REST API-műveletek listázására irányuló kérés eredménye. A következő találatok lekéréséhez tartalmazza a műveletek listáját és egy URL-címet.

CloudError

Api-hibával kapcsolatos információkat tartalmaz.

Név Típus Description
error

CloudErrorBody

Egy adott API-hibát ír le egy hibakóddal és egy üzenettel.

CloudErrorBody

Egy adott API-hibát ír le egy hibakóddal és egy üzenettel.

Név Típus Description
code

string

Hibakód, amely pontosabban írja le a hibafeltételt, mint egy HTTP-állapotkód. Adott hibaeseteket programozott módon is kezelhet.

details

CloudErrorBody[]

Beágyazott hibákat tartalmaz, amelyek ehhez a hibához kapcsolódnak.

message

string

A hibát részletesen leíró és hibakeresési információkat tartalmazó üzenet.

target

string

Az adott hiba célja (például a hiba tulajdonságának neve).

Display

A műveletet leíró objektum.

Név Típus Description
description

string

A művelet rövid neve.

operation

string

A művelet típusa: olvasás, írás, törlés, listKeys/action stb.

provider

string

Az erőforrás-szolgáltató rövid neve.

resource

string

Az az erőforrástípus, amelyen a műveletet végrehajtják.

Operation

A REST API-műveletet ismerteti.

Név Típus Description
display

Display

A műveletet leíró objektum.

name

string

A művelet neve. Ez a név {provider}/{resource}/{operation} formátumú.

OperationListResult

A REST API-műveletek listázására irányuló kérés eredménye. A következő találatok lekéréséhez tartalmazza a műveletek listáját és egy URL-címet.

Név Típus Description
nextLink

string

A következő műveletlista eredményének lekéréséhez szükséges URL-cím, ha van ilyen.

value

Operation[]

Az erőforrás-szolgáltató által támogatott műveletek listája.